%define srcname coverage

Name:           python-%{srcname}
Version:        6.3.2
Release:        %mkrel 1
Summary:        Code coverage measurement for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/coverage/
Source0:        %{srcname}-%{version}.tar.xz

%description
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python
standard library to determine which lines are executable, and which have
been executed.

%package -n python3-%{srcname}
Summary:        Code coverage measurement for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname}
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python 3
standard library to determine which lines are executable, and which have
been executed.

%prep
%setup -q -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

%build
%py3_build

%install
%py3_install
mv %{buildroot}/%{_bindir}/coverage %{buildroot}/%{_bindir}/python3-coverage


%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/coverage*
%{_bindir}/python3-coverage
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/


%changelog
* Sat Feb 26 2022 TerryN <terryn94 at gmail.com> 6.3.2-1pclos2022
- update and rebuild for python 3.10

* Wed Feb 20 2019 tex 4.5.2-1pclos2019
- update
